#ifndef TMHistogrammingClusterInnerVsOuter_H
#define TMHistogrammingClusterInnerVsOuter_H

#include "TMHistogramming.h"

class TH2F;
class HenrikClusterFinderSPD;

class TMHistogrammingClusterInnerVsOuter : public TMHistogramming {
 public:
  TMHistogrammingClusterInnerVsOuter();
  virtual ~TMHistogrammingClusterInnerVsOuter();
  
  virtual void ProcessClusters(HenrikClusterFinderSPD* clFinder);

  virtual void Draw(TPad *pad);
  virtual void Reset();

  virtual void RebinHisto();
  virtual void CreateHisto();

 protected:
  TH2F    *fTheHisto;
  UInt_t fRangeX;
  UInt_t fRangeY;

};

#endif
